TableView.TableCell (Java SE 22 & JDK 22)
Description: declaration: module: java.desktop, package: javax.swing.text, class: TableView, class: TableCell
Keywords: javax.swing.text.TableView.TableCell class

Module java.desktop
Package javax.swing.text

# Class TableView.TableCell

java.lang.Object
javax.swing.text.View
javax.swing.text.CompositeView
javax.swing.text.BoxView
javax.swing.text.TableView.TableCell

All Implemented Interfaces:
  `SwingConstants`

Enclosing class:
  `TableView`

@Deprecated public class TableView.TableCell extends BoxView
Deprecated.
A table cell can now be any View implementation.

- ## Field Summary

  ### Fields declared in class javax.swing.text.View

  `BadBreakWeight, ExcellentBreakWeight, ForcedBreakWeight, GoodBreakWeight, X_AXIS, Y_AXIS`

  ### Fields declared in interface javax.swing.SwingConstants

  `BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableCell(Element elem)`
  Deprecated.
  Constructs a TableCell for the given element.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getColumnCount()`
  Deprecated.
  Gets the number of columns this cell spans (e.g. the grid width).
  `int`
  `getGridColumn()`
  Deprecated.
  Gets the column of the grid location
  `int`
  `getGridRow()`
  Deprecated.
  Gets the row of the grid location
  `int`
  `getRowCount()`
  Deprecated.
  Gets the number of rows this cell spans (that is, the grid height).
  `void`
  `setGridLocation(int row, int col)`
  Deprecated.
  Sets the grid location.

  ### Methods declared in class javax.swing.text.BoxView

  `baselineLayout, baselineRequirements, calculateMajorAxisRequirements, calculateMinorAxisRequirements, childAllocation, flipEastAndWestAtEnds, forwardUpdate, getAlignment, getAxis, getChildAllocation, getHeight, getMaximumSpan, getMinimumSpan, getOffset, getPreferredSpan, getResizeWeight, getSpan, getViewAtPoint, getWidth, isAfter, isAllocationValid, isBefore, isLayoutValid, layout, layoutChanged, layoutMajorAxis, layoutMinorAxis, modelToView, paint, paintChild, preferenceChanged, replace, setAxis, setSize, viewToModel`

  ### Methods declared in class javax.swing.text.CompositeView

  `getBottomInset, getInsideAllocation, getLeftInset, getNextEastWestVisualPositionFrom, getNextNorthSouthVisualPositionFrom, getNextVisualPositionFrom, getRightInset, getTopInset, getView, getViewAtPosition, getViewCount, getViewIndex, getViewIndexAtPosition, loadChildren, modelToView, setInsets, setParagraphInsets, setParent`

  ### Methods declared in class javax.swing.text.View

  `append, breakView, changedUpdate, createFragment, forwardUpdateToView, getAttributes, getBreakWeight, getContainer, getDocument, getElement, getEndOffset, getGraphics, getParent, getStartOffset, getToolTipText, getViewFactory, getViewIndex, insert, insertUpdate, isVisible, modelToView, remove, removeAll, removeUpdate, updateChildren, updateLayout, viewToModel`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TableCell

    public TableCell(Element elem)
    Deprecated.
    Constructs a TableCell for the given element.
    Parameters:
      `elem` - the element that this view is responsible for
    Since:
      1.4

- ## Method Details

  - ### getColumnCount

    public int getColumnCount()
    Deprecated.
    Gets the number of columns this cell spans (e.g. the grid width).
    Returns:
      the number of columns

  - ### getRowCount

    public int getRowCount()
    Deprecated.
    Gets the number of rows this cell spans (that is, the grid height).
    Returns:
      the number of rows

  - ### setGridLocation

    public void setGridLocation(int row, int col)
    Deprecated.
    Sets the grid location.
    Parameters:
      `row` - the row >= 0
      `col` - the column >= 0

  - ### getGridRow

    public int getGridRow()
    Deprecated.
    Gets the row of the grid location

  - ### getGridColumn

    public int getGridColumn()
    Deprecated.
    Gets the column of the grid location